create table news_properties (
	_id INTEGER PRIMARY KEY AUTOINCREMENT, 
	name TEXT not null, 
	value TEXT
);
		
CREATE TABLE comments (
	comment_id INTEGER PRIMARY KEY, 
	author_email TEXT, 
	author_name TEXT, 
	author_site TEXT, 
	content TEXT NOT NULL, 
	date LONG, 
	karma TEXT, 
	user_id INTEGER, 
	cached_time INTEGER,
	post_id integer default 0
);		

CREATE TABLE posts_list (
	post_id INTEGER PRIMARY KEY, 
	guid INTEGER NOT NULL, 
	date LONG NOT NULL, 
	excerpt TEXT, 
	modified LONG NOT NULL, 
	thumb TEXT, 
	title TEXT, 
	author_name TEXT, 
	author_id LONG NOT NULL, 
	comments_count INTEGER, 
	
	content TEXT NULL, 
	
	row_cached_time LONG,
	content_cached_time LONG,
	
	was_read integer default 0,
	starred integer default 0,
	viewed integer default 0,
	
	main_source integer default 0,
	search_source integer default 0,
	favorite_source INTEGER DEFAULT 0
	
);

CREATE TABLE terms (
	term_id INTEGER PRIMARY KEY, 
	term_name text not null,
	term_parent_id integer default 0,
	actual_term_id integer not null,
	term_type int not null,
	selected int default 0
);

CREATE TABLE custom_terms (
	term_id INTEGER PRIMARY KEY, 
	term_name text not null,
	term_parent_id integer default 0,
	term_type int default 3,
	term_slug text not null,
	actual_term_id int default 0,
	selected int default 0
);

INSERT INTO custom_terms (term_id, term_name, term_slug, term_parent_id, term_type) VALUES(1, 'My preferences', 'MY_NOTIFICATION', 0, 6);
INSERT INTO custom_terms (term_id, term_name, term_slug, term_parent_id, term_type) VALUES(2, 'My Phone', 'MY_PHONE', 1, 3);
INSERT INTO custom_terms (term_id, term_name, term_slug, term_parent_id, term_type) VALUES(3, 'My Manufacture', 'MY_MANUFACTURE', 1, 3);
INSERT INTO custom_terms (term_id, term_name, term_slug, term_parent_id, term_type) VALUES(4, 'My Carrier', 'MY_CARRIER', 1, 3);
INSERT INTO custom_terms (term_id, term_name, term_slug, term_parent_id, term_type) VALUES(5, 'My Applications', 'MY_APPLICATIONS', 1, 4);
INSERT INTO custom_terms (term_id, term_name, term_slug, term_parent_id, term_type) VALUES(6, 'My Games', 'MY_GAMES', 1, 5); 
